Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.droolsjbpm.services.impl.model
Class BAMProcessSummary

    java.lang.Object
      org.droolsjbpm.services.impl.model.BAMProcessSummary

All Implemented Interfaces:
  Serializable

    @Entity
    public class BAMProcessSummary

extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`BAMProcessSummary()`
`BAMProcessSummary(long processInstanceId, String name, String status, Date startDate, String userId, String version)`

Method Summary
`Long` | `getDuration()`
`Date` | `getEndDate()`
`String` | `getName()`
`long` | `getProcessId()`
`Date` | `getStartDate()`
`String` | `getStatus()`
`String` | `getUserId()`
`String` | `getVersionId()`
`void` | `setDuration(Long duration)`
`void` | `setEndDate(Date endDate)`
`void` | `setName(String name)`
`void` | `setProcessId(long processId)`
`void` | `setStartDate(Date startDate)`
`void` | `setStatus(String status)`
`void` | `setUserId(String userId)`
`void` | `setVersionId(String version)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BAMProcessSummary

    public BAMProcessSummary()

### BAMProcessSummary

    public BAMProcessSummary(long processInstanceId,
                             String name,
                             String status,
                             Date startDate,
                             String userId,
                             String version)

Method Detail

### getProcessId

    public long getProcessId()

### setProcessId

    public void setProcessId(long processId)

### getName

    public String getName()

### setName

    public void setName(String name)

### getStatus

    public String getStatus()

### setStatus

    public void setStatus(String status)

### getStartDate

    public Date getStartDate()

### setStartDate

    public void setStartDate(Date startDate)

### getEndDate

    public Date getEndDate()

### setEndDate

    public void setEndDate(Date endDate)

### getUserId

    public String getUserId()

### setUserId

    public void setUserId(String userId)

### getVersionId

    public String getVersionId()

### setVersionId

    public void setVersionId(String version)

### getDuration

    public Long getDuration()

### setDuration

    public void setDuration(Long duration)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.